Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 576420 (CVE-2016-2858) - <app-emulation/qemu-2.5.0-r2: rng-random: arbitrary stack based allocation leading to corruption (CVE-2016-2858)
Summary: <app-emulation/qemu-2.5.0-r2: rng-random: arbitrary stack based allocation le...
Status: RESOLVED FIXED
Alias: CVE-2016-2858
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: 578044
Blocks:
  Show dependency tree
 
Reported: 2016-03-04 10:08 UTC by Agostino Sarubbo
Modified: 2016-04-02 18:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-03-04 10:08:05 UTC
From ${URL} :

Qemu emulator built with the Pseudo Random Number Generator(PRNG) back-end
support is vulnerable to an arbitrary stack based allocation and memory
corruption via random bytes issue. It could occur when a guest requests for
entropy for random number generation.

A user/process inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=60253ed1e6ec6d8e5ef2efe7bf755f475dce9956


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-03-23 05:26:48 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:16:06 UTC
Added to existing GLSA.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-24 11:53:07 UTC
@maintainer, please cleanup.  Thank you.
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-25 12:56:10 UTC
Cleanup complete.  Thanks all.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:28:32 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).